Вопрос Ошибка Gedit: не установлена ​​схема настроек «org.gnome.gedit.plugins.restoretabs»


Я перезагрузил компьютер после установки нового CD-привода. Попытка запустить gedit с панели (Cinnamon). Значок пошевелился, и на экране вспыхнула коробка, затем закрылась.

Я уже искал, чтобы найти ответ на эту проблему. После этого исследования я сделал следующее:

  • Удаленный gedit (и ubuntu-desktop)

  • Перезагрузите и установите gedit из программного центра - нет радости

  • Ый

  • Выход и установка ubuntu-desktop из терминала с командами

    sudo apt-get install ubuntu-desktop
    sudo apt-get build-dep ubuntu-desktop
    
  • Попытки запустить gedit в терминале приводят к этой ошибке:

    (gedit:23646): GLib-GIO-ERROR **: Settings schema 'org.gnome.gedit.plugins.restoretabs' is not installed
    

Число в скобках изменяется, но остальная часть сообщения осталась неизменной во всех попытках исправить проблему.

  • Я активировал подключаемый модуль для вкладок восстановления, день или два, прежде чем отключать компьютер для установки компакт-диска.

Я не очищался, когда меня удалял - хотел бы сохранить мои настройки, если это возможно. Если я могу отредактировать файл настроек, мне нужно знать, где искать.


2
2018-01-26 20:53


происхождения




ответы:


Ваше сообщение об ошибке указывает, что плагины gedit-restore-tabs не установлены.

Идти к https://github.com/Quixotix/gedit-restore-tabs и установите плагин


2
2018-01-26 21:39



Продолжали исследовать и находили некоторую информацию в рамках Форума Fedora, которая связана с проблемой. Это указывает на наличие ошибки в плагине. Я зашел в .local / share / gedit / plugins и обнаружил, что есть каталог с именем gedit-restore-tabs-master. Я создал каталог в .local / share / gedit и переместил в него каталог плагина. Теперь все хорошо. Посмотрев на предоставленный URL, кажется, что плагин предназначен для gedit v2, а мой - v3.6.1. Fedora Forums указывает, что плагины v2 не совместимы с v3x. Я могу жить без плагина, но задаюсь вопросом, почему проблема появилась после перезагрузки ... - Mike S
Спасибо за URL-адрес github, было полезно узнать, что у меня была неправильная версия плагина. Отметьте поток как решенный, но я не вижу способа сделать это. - Mike S
Предоставленная ссылка i предназначена для gedit версии 3+ и поэтому совместима с вашей версией 3.6.1 - D-unit
Я вижу, что в тексте сейчас, однако, инструкции используют каталог «/usr/share/glib-2.0/schemas/», который я подразумевал, что это было для версии 2.x. Непонимание, которое по-прежнему привело к решению, хотя и без плагина. Мне не нужен плагин, так что это не проблема. Я думаю, что когда плагины gedit получат обновление, плагин будет заменен, так как я не удалял весь пакет, а всего лишь один каталог пакета. - Mike S